Package com.sap.ai.sdk.core.model

# Enum Class AiExecution.TargetStatusEnum

java.lang.Object
java.lang.Enum<AiExecution.TargetStatusEnum>
com.sap.ai.sdk.core.model.AiExecution.TargetStatusEnum

All Implemented Interfaces:
  `Serializable`, `Comparable<AiExecution.TargetStatusEnum>`, `Constable`

Enclosing class:
  `AiExecution`

public static enum AiExecution.TargetStatusEnum extends Enum<AiExecution.TargetStatusEnum>
Target status of the execution

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `COMPLETED`
  The COMPLETED option of this AiExecution
  `DELETED`
  The DELETED option of this AiExecution
  `RUNNING`
  The RUNNING option of this AiExecution
  `STOPPED`
  The STOPPED option of this AiExecution
  `UNKNOWN_DEFAULT_OPEN_API`
  The UNKNOWN_DEFAULT_OPEN_API option of this AiExecution

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static AiExecution.TargetStatusEnum`
  `fromValue(String value)`
  Get the enum value from a String value
  `String`
  `getValue()`
  Get the value of the enum
  `String`
  `toString()`
  Get the String value of the enum value.
  `static AiExecution.TargetStatusEnum`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static AiExecution.TargetStatusEnum[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### COMPLETED

    public static final AiExecution.TargetStatusEnum COMPLETED
    The COMPLETED option of this AiExecution

  - ### RUNNING

    public static final AiExecution.TargetStatusEnum RUNNING
    The RUNNING option of this AiExecution

  - ### STOPPED

    public static final AiExecution.TargetStatusEnum STOPPED
    The STOPPED option of this AiExecution

  - ### DELETED

    public static final AiExecution.TargetStatusEnum DELETED
    The DELETED option of this AiExecution

  - ### UNKNOWN_DEFAULT_OPEN_API

    public static final AiExecution.TargetStatusEnum UNKNOWN_DEFAULT_OPEN_API
    The UNKNOWN_DEFAULT_OPEN_API option of this AiExecution

- ## Method Details

  - ### values

    public static AiExecution.TargetStatusEnum[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static AiExecution.TargetStatusEnum valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### getValue

    @Nonnull public String getValue()
    Get the value of the enum
    Returns:
      The enum value

  - ### toString

    @Nonnull public String toString()
    Get the String value of the enum value.
    Overrides:
      `toString` in class `Enum<AiExecution.TargetStatusEnum>`
    Returns:
      The enum value as String

  - ### fromValue

    @Nonnull public static AiExecution.TargetStatusEnum fromValue(@Nonnull String value)
    Get the enum value from a String value
    Parameters:
      `value` - The String value
    Returns:
      The enum value of type AiExecution